index:
    path: /
    controller: App\Controller\BaseController::index

carte:
    path: /les-cartes
    controller: App\Controller\BaseController::carte

laTourPizz:
    path: /la-tour-de-pizz
    controller: App\Controller\BaseController::laTourPizz

laTour:
    path: /la-tour-notre-histoire
    controller: App\Controller\BaseController::laTour

actuality.index:
    path: /notre-actualite
    controller: App\Controller\ActualityController::index

contact:
    path: /nous-contacter
    controller: App\Controller\BaseController::contact

fidelite:
    path: /carte-de-fidelite
    controller: App\Controller\BaseController::carteFidelite

mentions:
    path: /mentions-legales
    controller: App\Controller\BaseController::mentions

rgpd:
    path: /politique-de-confidentialite
    controller: App\Controller\BaseController::rgpd


#admin route
admin:
    path: /admin
    controller: App\Controller\Admin\AdminController::index


#admin actuality route
admin.actuality.index:
    path: /admin/actualites
    controller: App\Controller\Admin\AdminActualityController::index

admin.actuality.new:
    path: /admin/actualite/new
    controller: App\Controller\Admin\AdminActualityController::new

admin.actuality.edit:
    path: /admin/actualite/edit/{id}
    controller: App\Controller\Admin\AdminActualityController::edit
    requirements:
        id: '\d+'
    methods: 'POST|GET'

admin.actuality.delete:
    path: /admin/actualite/delete/{id}
    controller: App\Controller\Admin\AdminActualityController::delete
    requirements:
        id: '\d+'


#admin category actuality route
admin.categoryActuality.index:
    path: /admin/categories-actualite
    controller: App\Controller\Admin\AdminCategoryActualityController::index

admin.categoryActuality.new:
    path: /admin/categorie-actualite/new
    controller: App\Controller\Admin\AdminCategoryActualityController::new

admin.categoryActuality.edit:
    path: /admin/categorie-actualite/edit/{id}
    controller: App\Controller\Admin\AdminCategoryActualityController::edit
    requirements:
        id: '\d+'
    methods: 'POST|GET'

admin.categoryActuality.delete:
    path: /admin/categorie-actualite/delete/{id}
    controller: App\Controller\Admin\AdminCategoryActualityController::delete
    requirements:
        id: '\d+'


#admin indispensable route
admin.indispensable.index:
    path: /admin/produits
    controller: App\Controller\Admin\AdminIndispensableController::index

admin.indispensable.new:
    path: /admin/produit/new
    controller: App\Controller\Admin\AdminIndispensableController::new

admin.indispensable.edit:
    path: /admin/produit/edit/{id}
    controller: App\Controller\Admin\AdminIndispensableController::edit
    requirements:
        id: '\d+'
    methods: 'POST|GET'

admin.indispensable.delete:
    path: /admin/produit/delete/{id}
    controller: App\Controller\Admin\AdminIndispensableController::delete
    requirements:
        id: '\d+'


#admin reservation route
admin.reservation.index:
    path: /admin/reservations
    controller: App\Controller\Admin\AdminReservationController::index

admin.reservation.edit:
    path: /admin/reservation/edit/{id}
    controller: App\Controller\Admin\AdminReservationController::edit
    requirements:
        id: '\d+'
    methods: 'POST|GET'

admin.reservation.delete:
    path: /admin/reservation/delete/{id}
    controller: App\Controller\Admin\AdminReservationController::delete
    requirements:
        id: '\d+'

admin.reservation.confirm:
    path: /admin/reservation/confirm/{id}
    controller: App\Controller\Admin\AdminReservationController::confirm
    requirements:
        id: '\d+'

admin.reservation.cancel:
    path: /admin/reservation/cancel/{id}
    controller: App\Controller\Admin\AdminReservationController::cancel
    requirements:
        id: '\d+'

#admin reservation route
admin.fidelite.index:
    path: /admin/carte-de-fidelite
    controller: App\Controller\Admin\AdminFideliteController::index

#admin parameter route
admin.parameter.edit:
    path: /admin/parametre/edit/{id}
    controller: App\Controller\Admin\AdminParameterController::edit
    requirements:
        id: '\d+'
    methods: 'POST|GET'
